FGLRX не будет устанавливать: не удалось устранить проблемы, у вас были сломанные пакеты

Когда я запускаю sudo apt-get install fglrx , я получаю следующий вывод:

 Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help resolve the situation: The following packages have unmet dependencies: fglrx : Depends: xorg-video-abi-11 but it is not installable or xorg-video-abi-12 but it is not installable or xorg-video-abi-13 but it is not installable or xorg-video-abi-14 but it is not installable or xorg-video-abi-15 E: Unable to correct problems, you have held broken packages. 

К сожалению, я привык работать на серверах Windows и не знаком с Ubuntu.

К сожалению, это связано с ошибкой последних обновлений Ubuntu 14.04 и 12.04:

apt-get не может установить fglrx или fglrx-updates в 14.04.2 и 12.04.5

Исправить это:

  1. Удалите стек оборудования

    • Ubuntu 14.04 (проверенная и подтвержденная работа):

       sudo apt-get install --install-recommends xserver-xorg libgl1-mesa-glx libegl1-mesa-drivers 
    • Ubuntu 12.04 (непроверенный):

       sudo apt-get install --install-recommends xserver-xorg libgl1-mesa-glx 

    По какой-то причине мне пришлось запускать его дважды с момента первого появления ошибки.

  2. Очистка дополнительных пакетов

     sudo apt-get autoremove 
  3. Установить fglrx

     sudo apt-get install fglrx 
  4. перезагружать

Откройте синаптический, если у вас его нет, установите его с помощью

sudo apt-get install synaptic

на терминале. Synaptic – это менеджер пакетов, такой как apt-get, но с графическим интерфейсом.

В синаптических в левом нижнем углу экрана есть опция, называемая пользовательскими фильтрами , а из вышеперечисленных фильтров выберите сломанную .

синаптическое окно

Теперь у вас, вероятно, будет несколько пакетов в этом списке. Выбирайте их для полного удаления, щелкнув правой кнопкой мыши и нажмите применить. Теперь попробуйте установку fglrx снова после удаления предыдущей неудачной установки. Возможно, вам придется переустановить некоторые из удаленных пакетов.